std::atomic_store,std::atomic_store_explicit(3)

NAME
std::atomic_store,std::atomic_store_explicit - std::atomic_store,std::atomic_store_explicit

Synopsis
   Defined in header <atomic>
   template< class T >
   void atomic_store( std::atomic<T>* obj,
   typename std::atomic<T>::value_type desr )
   noexcept;
   template< class T >
   void atomic_store( volatile std::atomic<T>*
   obj,
   typename std::atomic<T>::value_type desr )
   noexcept;
   template< class T > (1) (since C++11)
   void atomic_store_explicit( std::atomic<T>*
   obj,
   typename std::atomic<T>::value_type desr,
   std::memory_order order) noexcept; (2) (since C++11)
   template< class T >
   void atomic_store_explicit( volatile
   std::atomic<T>* obj,
   typename std::atomic<T>::value_type desr,
   std::memory_order order) noexcept;
   1) Atomically replaces the value pointed to by obj with the value of desr as if by
   obj->store(desr)
   2) Atomically replaces the value pointed to by obj with the value of desr as if by
   obj->store(desr, order)

Parameters
   obj - pointer to the atomic object to modify
   desr - the value to store in the atomic object
           the memory synchronization ordering for this operation: only
   order - std::memory_order_relaxed, std::memory_order_release and
           std::memory_order_seq_cst are permitted.

Return value
   none.
  Defect reports
   The following behavior-changing defect reports were applied retroactively to
   previously published C++ standards.
     DR Applied to Behavior as published Correct behavior
   P0558R1 C++11 exact type match required because T is T is deduced from the
                      deduced from multiple arguments atomic argument only

See also
                        atomically replaces the value of the atomic object with a
   store non-atomic argument
                        (public member function of std::atomic<T>)
   atomic_load
   atomic_load_explicit atomically obtains the value stored in an atomic object
   (C++11) (function template)
   (C++11)
   memory_order defines memory ordering constraints for the given atomic
   (C++11) operation
                        (enum)
   std::atomic_store(std::shared_ptr) specializes atomic operations for
   std::atomic_store_explicit(std::shared_ptr) std::shared_ptr
   (deprecated in C++20) (function template)